package com.ylx.point.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.point.domain.PointSignReward;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 签到动态奖励配置Mapper接口
 *
 * @author wzj
 * @date 2026-03-25
 */
public interface PointSignRewardMapper extends BaseMapper<PointSignReward> {

    public PointSignReward selectPointSignRewardById(String id);

    public List<PointSignReward> selectPointSignRewardList(PointSignReward pointSignReward);

    public int insertPointSignReward(PointSignReward pointSignReward);

    public int updatePointSignReward(PointSignReward pointSignReward);

    public int deletePointSignRewardById(String id);

    public int deletePointSignRewardByIds(String[] ids);
    
    public int batchInsertPointSignReward(@Param("list") List<PointSignReward> rewards);
}
